Bug 208528 - devel/ddd: Fix build with libc++ 3.8.0
Summary: devel/ddd: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-04-04 19:39 UTC by Dimitry Andric
Modified: 2016-04-29 21:14 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Remove C++ keyword overriding defines from devel/ddd (6.73 KB, patch)
2016-04-04 19:39 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-04-04 19:39:33 UTC
Created attachment 168982 [details]
Remove C++ keyword overriding defines from devel/ddd

During the exp-run in bug 208158, it was found that devel/ddd gives errors with libc++ 3.8.0 [1]:

In file included from LabelH.C:36:
In file included from /usr/local/include/Xm/XmP.h:45:
In file included from /usr/local/include/Xm/Xm.h:59:
In file included from /usr/local/include/X11/Intrinsic.h:53:
In file included from /usr/local/include/X11/Xlib.h:51:
In file included from /usr/include/c++/v1/stddef.h:51:
/usr/include/c++/v1/__nullptr:35:15: error: unknown type name 'a_class'; did you mean 'class'?
    template <class _Tp>
              ^
LabelH.C:34:15: note: expanded from macro 'class'
#define class a_class
              ^

This is because several source files in this package attempt to redefine the C++ keywords 'new' and 'class' with different identifiers, probably because very old Motif headers abused those keywords as variables or parameters.  This is not needed anymore, and the keyword redefinitions can be deleted without problems.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/ddd-3.3.12_1.log
Comment 1 Kurt Jaeger freebsd_committer 2016-04-29 21:13:40 UTC
Committed, thanks.
Comment 2 commit-hook freebsd_committer 2016-04-29 21:13:46 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 29 21:13:29 UTC 2016
New revision: 414293
URL: https://svnweb.freebsd.org/changeset/ports/414293

Log:
  devel/ddd: Fix build with libc++ 3.8.0

  PR:		208528
  Submitted by:	dim
  Approved by:	sergio@softshark.org (maintainer timeout)

Changes:
  head/devel/ddd/files/patch-ddd-GraphEditP.h
  head/devel/ddd/files/patch-ddd-LabelH.C
  head/devel/ddd/files/patch-ddd-PannedGEP.h
  head/devel/ddd/files/patch-ddd-Sash.h
  head/devel/ddd/files/patch-ddd-ScrolleGEP.h
  head/devel/ddd/files/patch-ddd-SwallowerP.h
  head/devel/ddd/files/patch-ddd-converters.C